import { Config, ActionConfig, ResourceConfig } from '../config';
import { Role } from '../cloudformation';
import { BasicChecker } from './basic-checker';
export declare class RoleChecker {
    constructor(config: Config, role: Role);
    actionsChecker: ActionsChecker;
    resourcesChecker: ResourcesChecker;
    role: Role;
    config: Config;
    validate(): {
        role: Role;
        config: Config;
        isValid: boolean;
        validationMessages: string[];
    };
}
declare class ActionsChecker extends BasicChecker {
    constructor(actions: string[], config: ActionConfig);
    actions: string[];
    config: ActionConfig;
    validate(): {
        isValid: boolean;
        validationMessages: string[];
    };
}
declare class ResourcesChecker extends BasicChecker {
    constructor(resources: any[], config: ResourceConfig);
    resources: any[];
    config: ResourceConfig;
    validate(): {
        isValid: boolean;
        validationMessages: string[];
    };
    propertyReferencesMatchAllowed(properties: any[], allowedReferences: string[]): boolean;
    doesPropertyReferenceMatch(property: any, allowedReferences: string[]): boolean;
}
export {};
