export declare class Resources {
    constructor(resource: Resource);
    [key: string]: Resource | any;
    getIamRoles(): Role[];
}
interface Resource {
    Type: string;
    Properties: any;
}
export declare class Role implements Resource {
    constructor(role: Role, resourceName: string);
    Type: string;
    Properties: RoleProperties;
    resourceName: string;
    getResourcesAndActions(): {
        actions: any;
        resources: any;
    };
}
declare class RoleProperties {
    constructor(roleProperties: RoleProperties);
    AssumeRolePolicyDocument: PolicyDocument;
    ManagedPolicyArns: any[];
    MaxSessionDuration: number;
    Path: any;
    Policies: Policy[];
    RoleName: any;
}
declare class Policy {
    constructor(policy: Policy);
    PolicyDocument: PolicyDocument;
    PolicyName: any;
}
declare class PolicyDocument {
    constructor(policyDocument: PolicyDocument);
    Version: string;
    Statement: Statement[];
}
declare class Statement {
    constructor(statement: Statement);
    Effect: string;
    Principal?: any;
    Action: any[] | any;
    Resource: any[] | any;
    getAllActions(): string[];
    getAllResources(): string[];
    private propsToArray;
}
export {};
